Subject: Re: Fwd: Re: [PATCH] net: ipv6: change %8s to %s for rt->dst.dev->name in seq_printf of rt6_info_route

From: Chen Gang <[email-masked]>
Date: Tue, 27 Nov 2012 13:35:59 +0800

于 2012年11月27日 12:56, Shan Wei 写道:
> Chen Gang said, at 2012/11/27 12:18:
>>>
>>>>
>>>>  for the format of information which seq_printf output:
>>>>    it is not belong to OS API level for outside (at least, for current case, it is true). 
>>>>    so we need not keep 'compatible' of it, so %16s is not necessary.
>>>
>>> Can you explain If we don't change to %s, what will happen?
>>>
>>
>>   for outside, nothing will happen.
>>
>>   so it is not for correctness, it is only for "keep source code simple and clear".
> 
> So, it's a clean-up type patch which is just for developer,
> but with the change of /proc interface which is for user.
> user is first, so let us end this thread unless you have necessary reasons to do it. 
> 

1)  it is not change the /proc interface.
    a) both %8s and %s do not change the output interface format (including contents, topology, separator mark, space redundancy).
    b) it is belong to 'User Experience', not belong to os api.
    c) do you agree with what I say above ?

2)  I think:
    one of the differences between system service and user interactive program are:
      for system service (including kernel): "clean-up" is more important than "UE".
      for user interactive program:          "UE" is more important than "Clean-up".
    maybe, it is for ideal world (or maybe it is only in theory).
    (also maybe what I said above is incorrect)

3)  so all together:
    I can understand if it is not integrated into main branch.
    it will be better to continue discussing it in ideal world (or in theory), I think it is valuable for learning with each other.

  :-)

  thanks.

gchen.

> Thanks  
> Shan Wei
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
> 

-- 
Chen Gang

Asianux Corporation